%
% Optical Imaging and Spectroscopy
%
% David J. Brady
% Duke University
% www.opticalimaging.org
%
%  Figure 9.4
% Code written by Ashwin Wagadarikar and Nikos Pitisianis, Duke University
%
function peakindex=find_final_shift(invertedpad,numpeaks,findwl)

[totalrows totalcols]=size(invertedpad);

for j=1:totalrows
    vect=conv(invertedpad(j,:),[0 1 0]);
    vect=vect(2:end-1);
    iter=2;
    found=0;
    while (iter<totalcols)
        if ((vect(iter)>vect(iter+1))&((vect(iter)>vect(iter-1))))
            found=found+1;
            ipeakindex(found,1)=iter;
            ipeakindex(found,2)=vect(iter);
        end
        iter=iter+1;    
    end
    ipeakindex=flipud(sortrows(ipeakindex,2));
    peakindex(j,:,:)=sortrows(ipeakindex(1:numpeaks,1));
end