%
% Optical Imaging and Spectroscopy
%
% David J. Brady
% Duke University
% www.opticalimaging.org
%
%  Figure 9.4
% Code written by Ashwin Wagadarikar and Nikos Pitisianis, Duke University
%
function spectra = invert(img,maskPattern)
%function spectra = invert(img,maskPattern)
%
%This function uses NNLS to compute the spectral estimate from all the mask columns
%img is the cropped CCD image
%maskPattern is the decoding mask pattern
[row,col] = size(img);

for i=1:col
    spectra(:,i)=nnls(maskPattern,img(:,i));
end

