%
% Optical Imaging and Spectroscopy
%
% David J. Brady
% Duke University
% www.opticalimaging.org
%
%  Figure 9.4
% Code written by Ashwin Wagadarikar and Nikos Pitisianis, Duke University
%
function shiftData = smileFix(img,polly)
%This function corrects the smile polynomial on a given CCD image.
%smilepoly is a string indicating the name of the smile fit polynomial to
%use.
%img is the image to do the correction on.

% load(smilepoly);

[row,col] = size(img);
for rowcount=1:row
    shiftamt = round(polyval(polly,rowcount))-round(polly(3));
    shiftData(rowcount,:) = circshift(img(rowcount,:),[0 shiftamt]);
end